%bcond_without check

%global goipath         github.com/mindprince/gonvml
%global commit          9ebdce4bb98934573700a3bfc2f8e791934a578d

%gometa

%global common_description %{expand:
NVIDIA Management Library (NVML) bindings for Go.}

%global golicenses      LICENSE
%global godocs          README.md example

Name:           %{goname}
Version:        0
Release:    2%{?dist}
Summary:        NVIDIA Management Library (NVML) bindings for Go

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sun Jun 08 2025 bbrucezhang <bbrucezhang@tencent.com> - 0-2.git9ebdce4
- Rebuilt for loongarch64

* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
